Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[resolu][emerge] plusieurs problemes avec emerge -Duav world
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Thu Feb 18, 2010 2:32 pm    Post subject: [resolu][emerge] plusieurs problemes avec emerge -Duav world Reply with quote

Salut,

j'essaye de mettre a jour une machine et j'ai un soucis sur l'update world.
plus particulierement avec x11-libs/libpciaccess-0.11.0.
D'ailleur si j'essaye de l'emerger seul, j'ai le meme probleme.

voila la trace de sortie :
Code:

>>> Installing (2 of 132) x11-libs/libpciaccess-0.11.0
 * checking 9 files for package collisions
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *    /usr/bin/scanpci
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * x11-base/xorg-server-1.3.0.0-r6
 *    /usr/bin/scanpci
 *
 * Package 'x11-libs/libpciaccess-0.11.0' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.

>>> Failed to install x11-libs/libpciaccess-0.11.0, Log file:

>>>  '/var/tmp/portage/x11-libs/libpciaccess-0.11.0/temp/build.log'




voila le fichier de log genere :
Code:

cat /var/tmp/portage/x11-libs/libpciaccess-0.11.0/temp/build.log       

>>> cfg-update-1.8.2-r1: Skipping checksum index updating...
 * CPV:  x11-libs/libpciaccess-0.11.0
 * REPO: gentoo
 * USE:  elibc_glibc kernel_linux userland_GNU x86 zlib
>>> Unpacking source...
>>> Unpacking libpciaccess-0.11.0.tar.bz2 to /var/tmp/portage/x11-libs/libpciaccess-0.11.0/work
 * Running elibtoolize in: libpciaccess-0.11.0
 *   Applying portage-2.2.patch ...
 *   Applying sed-1.5.6.patch ...
 *   Applying as-needed-2.2.6.patch ...
>>> Source unpacked in /var/tmp/portage/x11-libs/libpciaccess-0.11.0/work
>>> Compiling source in /var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0 ...
 * econf: updating libpciaccess-0.11.0/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating libpciaccess-0.11.0/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --prefix=/usr --datadir=/usr/share --with-zlib --with-pciids-path=/usr/share/misc
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for style of include used by make... GNU
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking dependency style of i686-pc-linux-gnu-gcc... gcc3
checking how to run the C preprocessor... i686-pc-linux-gnu-gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C99... -std=gnu99
checking for i686-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for i686-pc-linux-gnu-gcc... (cached) i686-pc-linux-gnu-gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether i686-pc-linux-gnu-gcc accepts -g... (cached) yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... (cached) none needed
checking dependency style of i686-pc-linux-gnu-gcc... (cached) gcc3
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /bin/grep -F
checking for ld used by i686-pc-linux-gnu-gcc... /usr/i686-pc-linux-gnu/bin/ld
checking if the linker (/usr/i686-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 98304
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking for /usr/i686-pc-linux-gnu/bin/ld option to reload object files... -r
checking for i686-pc-linux-gnu-objdump... i686-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for i686-pc-linux-gnu-ar... i686-pc-linux-gnu-ar
checking for i686-pc-linux-gnu-strip... i686-pc-linux-gnu-strip
checking for i686-pc-linux-gnu-ranlib... i686-pc-linux-gnu-ranlib
checking command to parse /usr/bin/nm -B output from i686-pc-linux-gnu-gcc object... ok
checking for dlfcn.h... yes
checking for objdir... .libs
checking if i686-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for i686-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if i686-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if i686-pc-linux-gnu-gcc static flag -static works... yes
checking if i686-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if i686-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the i686-pc-linux-gnu-gcc linker (/usr/i686-pc-linux-gnu/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for gzopen in -lz... yes
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking asm/mtrr.h usability... yes
checking asm/mtrr.h presence... yes
checking for asm/mtrr.h... yes
checking for struct pci_io.pi_sel.pc_domain... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating pciaccess.pc
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
make
make  all-recursive
make[1]: Entering directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0'
Making all in src
make[2]: Entering directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0/src'
  CC     common_bridge.lo
  CC     common_iterator.lo
  CC     common_init.lo
common_init.c: In function 'pci_system_cleanup':
common_init.c:99: warning: 'pci_device_unmap_region' is deprecated (declared at ../include/pciaccess.h:89)
  CC     common_interface.lo
  CC     common_io.lo
  CC     common_capability.lo
  CC     common_device_name.lo
  CC     common_map.lo
  CC     common_vgaarb.lo
  CC     linux_sysfs.lo
  CC     linux_devmem.lo
  CCLD   libpciaccess.la
  CC     scanpci.o
  CCLD   scanpci
make[2]: Leaving directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0/src'
make[2]: Entering directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0'
make[2]: Nothing to be done for `all-am'.
make[2]: Leaving directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0'
make[1]: Leaving directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0'
>>> Source compiled.
>>> Test phase [not enabled]: x11-libs/libpciaccess-0.11.0

>>> Install libpciaccess-0.11.0 into /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image/ category x11-libs
Making install in src
make[1]: Entering directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0/src'
make[2]: Entering directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0/src'
test -z "/usr/lib" || /bin/mkdir -p "/var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib"
 /bin/sh ../libtool   --mode=install /usr/bin/install -c   libpciaccess.la '/var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib'
libtool: install: /usr/bin/install -c .libs/libpciaccess.so.0.10.8 /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib/libpciaccess.so.0.10.8
libtool: install: (cd /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib && { ln -s -f libpciaccess.so.0.10.8 libpciaccess.so.0 || { rm -f libpciaccess.so.0 && ln -s libpciaccess.so.0.10.8 libpciaccess.so.0; }; })
libtool: install: (cd /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib && { ln -s -f libpciaccess.so.0.10.8 libpciaccess.so || { rm -f libpciaccess.so && ln -s libpciaccess.so.0.10.8 libpciaccess.so; }; })
libtool: install: /usr/bin/install -c .libs/libpciaccess.lai /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib/libpciaccess.la
libtool: install: /usr/bin/install -c .libs/libpciaccess.a /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib/libpciaccess.a
libtool: install: chmod 644 /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib/libpciaccess.a
libtool: install: i686-pc-linux-gnu-ranlib /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib/libpciaccess.a
libtool: install: warning: remember to run `libtool --finish /usr/lib'
test -z "/usr/include" || /bin/mkdir -p "/var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/include"
 /usr/bin/install -c -m 644 ../include/pciaccess.h '/var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/include'
make[2]: Leaving directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0/src'
make[1]: Leaving directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0/src'
make[1]: Entering directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0'
make[2]: Entering directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0'
make[2]: Nothing to be done for `install-exec-am'.
test -z "/usr/lib/pkgconfig" || /bin/mkdir -p "/var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib/pkgconfig"
 /usr/bin/install -c -m 644 pciaccess.pc '/var/tmp/portage/x11-libs/libpciaccess-0.11.0/image//usr/lib/pkgconfig'
make[2]: Leaving directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0'
make[1]: Leaving directory `/var/tmp/portage/x11-libs/libpciaccess-0.11.0/work/libpciaccess-0.11.0'
>>> Completed installing libpciaccess-0.11.0 into /var/tmp/portage/x11-libs/libpciaccess-0.11.0/image/

strip: i686-pc-linux-gnu-strip --strip-unneeded -R .comment
   usr/bin/scanpci
   usr/lib/libpciaccess.so.0.10.8
   usr/lib/libpciaccess.a
removing executable bit: usr/lib/libpciaccess.la
 * checking 9 files for package collisions
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *    /usr/bin/scanpci
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * x11-base/xorg-server-1.3.0.0-r6
 *    /usr/bin/scanpci
 *
 * Package 'x11-libs/libpciaccess-0.11.0' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.




voila le emerge --info

Code:

Portage 2.1.7.16 (default/linux/x86/10.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.26-gentoo-r3 i686)
=================================================================
System uname: Linux-2.6.26-gentoo-r3-i686-AMD_Athlon-tm-_XP_3000+-with-gentoo-1.12.13
Timestamp of tree: Wed, 17 Feb 2010 20:45:01 +0000
app-shells/bash:     4.0_p35
dev-lang/python:     2.4.4-r13, 2.5.2-r7, 2.6.4
dev-python/pycrypto: 2.0.1-r8
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.1.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles/ ftp://mirror.ovh.net/gentoo-distfiles/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ "
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl alsa berkdb bzip2 cdr cli cracklib crypt cups cxx dri emacs fortran gdbm gpm iconv ipv6 jpeg modules mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY



quelqu'un a t'il une idee d'ou peu venir le problem ?


Last edited by typedef on Sun Feb 21, 2010 6:11 pm; edited 3 times in total
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Thu Feb 18, 2010 4:54 pm    Post subject: Re: [emerge] file collision sur un emerge -Duav world Reply with quote

Salut et bienvenue ! :-)

Désinstalle puis réinstalle manuellement xorg-server (emerge -C xorg-server && emerge -av xorg-server)
Le problème est probablement dû au fait que ta version de xorg-server est trop ancienne : elle installait des fichiers fournis maintenant par libpciaccess.
Comme ce dernier est une dépendance des versions récentes de xorg-server, il est emergé avant de mettre xorg-server à jour, d'où les collisions.

[EDIT] Au fait : bravo pour ton premier post : très complet ! :-)
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Thu Feb 18, 2010 5:47 pm    Post subject: Reply with quote

Merci pour ta reponse,

oki je vais tester ca ce soir, j'ai mis x11 a jour, ca c'est bien passe, mais je n'ai effectivement rien fait pour xorg-server.

Je ne suis pas tout a fait nouveau, en fait j'avais deja un compte (pas tres actif ok :)) , mais il etait associe a un viel email pourri, et probablement un mdp que j'ai oublie :). J'ai prefere repartir from scratch. Il faudrait que je pense a le supprimer en fait.

encore merci pour les infos,
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Fri Feb 19, 2010 10:16 am    Post subject: Reply with quote

C'etait effectivement bien ca, merci.

Par contre j'ai le meme probleme avec xfce4 dans la suite du update world, et a priori j'ai une tres vieille version, les packages xfce n'etait pas decoupe pareil sur portage et je galere un peu avec :)
Mais bon je devrais m'en sortir.
Back to top
View user's profile Send private message
man in the hill
Veteran
Veteran


Joined: 15 Dec 2005
Posts: 1552
Location: Madinina

PostPosted: Fri Feb 19, 2010 10:59 am    Post subject: Reply with quote

Salut,

Tu as la variable COLLISION_IGNORE ds ton make.conf que tu peux paramétrer:

Code:

COLLISION_IGNORE="/usr"
ou
COLLISION_IGNORE="/usr" emerge -av le_ou_les_paquets

_________________
Get Up and Go !
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Fri Feb 19, 2010 11:29 am    Post subject: Reply with quote

J'avais hésité à parler de COLLISION_IGNORE car je crains fort qu'elle fasse du dégât.
Avec cette variable positionnée pour l'exemple /usr/bin/scanpci évoqué par typedef, on aurait l'enchaînement suivant :

emerge xorg-server
==> installation libpciaccess (d'où écrasement de l'ancien /usr/bin/scanpci)
==> installation nouveau xorg-server
==> unmerge ancien xorg-server (donc suppression du nouveau /usr/bin/scanpci installé plus haut)

C'est précisément ce genre de situation que tente d'éviter le contrôle de collisions ...
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Fri Feb 19, 2010 7:16 pm    Post subject: Reply with quote

Oui j'avais croisé ce COLLISION_IGNORE dans la doc, mais j'avoue qu'étant pas certain des conséquences je n'avais pas testé.

Finalement après l'update de plus de 300 packages, pas mal d'autres conflits, j'ai appliqué la méthode unmerge puis re-emerge et maintenant tout est a jour.
bon par contre j'ai un :
Code:

 * IMPORTANT: 91 config files in '/etc' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Donc si vous avez un conseil, je ne sais jamais trop comment m'occuper de ces fichiers de conf qui ont besoin d'un update après l'update portage.
Il doit bien y avoir moyen de ne pas tous se les taper a la main ?
Je vais chercher dans le handbook, mais au cas ou n'hésitez pas a m'éclairer :)
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Fri Feb 19, 2010 7:55 pm    Post subject: Reply with quote

'alute

Non :!: Et surtout pas les options -3 ou -5 directement à moins que tu ne sois certains de ce que tu fais - i.e. faut pas venir râler ensuite après avoir avoir écraser ses fichiers de conf genre que apache ne se lance plus etc.

Ok c'est fastidieux de traiter 90 fichiers 1 à 1 avant de rebooter mais c'est pas infaisable malgré tout. A minima traite en manuel tous ceux que tu connais et que tu sais avoir dû modifier - en général çà ne concerne le plus souvent que ce qui est dans /etc - et ensuite seulement quand tu est sûr de n'avoir rien rater de critique, tu pourras les traiter en masse. :wink:

ps:/ Avant le reboot : lire aussi les 4 news, les elogs et faire un revdep-rebuild et tester les glsa n'est pas inutile ^^
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8075
Location: ~Brussels - Belgique

PostPosted: Fri Feb 19, 2010 8:46 pm    Post subject: Reply with quote

Salut,

"dispatch-conf " est moins violent que etc-update, car il va faire énormément de fusions intelligentes, puis après passer en mode interactif.
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Fri Feb 19, 2010 10:57 pm    Post subject: Reply with quote

+1
dispatch-conf est en effet plus souple, plus clair et moins violent !
N'empêche, ta config semble antédiluvienne et il va falloir gérer, c'est certain ! ;)
D'un autre côté, sur tes 90 fichiers de config, il y a sûrement pas mal de modifs triviales ! :-) (parfois, ce n'est qu'un stupide commentaire ! :lol:)
Une suggestion : si pour un fichier, tu ne sais pas sur le coup, tu tapes "(n)ext" pour passer au suivant et par après, tu examines l'ancienne et la nouvelle version avec des outils basés sur diff ou diff3 (genre kdiff3 si tu n'es pas allergique à kde ;) )
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Sat Feb 20, 2010 4:17 am    Post subject: Reply with quote

@typedef, ça fait combien de temps que tu n'as pas mise à jour ta Gentoo, elle date de longtemps, je sens que tu vas avoir besoin de plaisir pour la mettre à jour.
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Sat Feb 20, 2010 12:43 pm    Post subject: Reply with quote

Combien te temps ? longtemps ! :)
Je crois que c'était une 2008.0 a la base, et ça doit faire bien au moins un an que je ne l'avais pas update world...

Finalement, c'est trivial dans la plus part des cas, vu que ça concerne des fichiers de conf que je n'avais pas touché à la base, donc je me contente de vérifier le contenu et prendre la nouvelle version.
Puis bon il y a effectivement 25 fichiers pour fail2ban, 10 pour xfce etc donc je devrais avoir fini prochainement.

pour les diff, pour l'instant je suis en ssh, donc je m'en sort avec emacs, j'irai physiquement sur la machine au moment du reboot fatidique :)
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Sat Feb 20, 2010 4:47 pm    Post subject: Reply with quote

@!OP: Beuu etc-update fait aussi automatiquement les fusions triviales mais personnellement je n'ai jamais pu me faire à dispatch-conf.
J'en reste à etc-update et ses merges avec 'l' et 'r'... l'âge sans doute :roll:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
nemo13
Veteran
Veteran


Joined: 08 Oct 2004
Posts: 1016
Location: France/Istres

PostPosted: Sat Feb 20, 2010 5:11 pm    Post subject: Reply with quote

boozo wrote:
@!OP: Beuu etc-update fait aussi automatiquement les fusions triviales mais personnellement je n'ai jamais pu me faire à dispatch-conf.
J'en reste à etc-update et ses merges avec 'l' et 'r'... l'âge sans doute :roll:

:lol: Nous devons donc avoir le même age :lol:

mais parfois quand mes vieux yeux biglent, j'utilise meld pour comparer .

A+
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Sat Feb 20, 2010 5:28 pm    Post subject: Reply with quote

Ca y est tous les packages sont bien update, j'ai tous les fichiers de conf a jour etc.

Le revdep-rebuild ne me signale plus qu'un petit soucis avec ruby-gems, mais je pense pouvoir résoudre ça plus tard.

J'ai aussi mis a jour le kernel en 2.6.31-gentoo-r6. Apres avoir rebuild le kernel, j'ai même fait un modules-rebuild rebuild, qui a priori m'a mis a jour un seul module (driver nvidia) sans soucis.
Par contre, au reboot sur le nouveau kernel, j'ai un panic, qui me dit :

Code:

VFS: Cannot open root device "hda3" or unknown-block(2,0)
Please append a correct "root=" boot option; here are the available partitions:
Kernel panic - not syncing: VFS: Unable to mount root fs on unkown-block(2,0)
Pid: 1, comm: swapper Not tainted 2.6.31-gentoo-r6 #3
Call Trace:
...


mon grub.conf a l'air normal :
Code:

default 0
timeout 10
splashimage=(hd0,0)/boot/grub/splash.xpm.gz

title Gentoo Linux 2.6.31-r6
root (hd0,0)
kernel /boot/kernel-2.6.31-gentoo-r6 root=/dev/hda3

title Gentoo Linux 2.6.26-r3 (old)
root (hd0,0)
kernel /boot/kernel-2.6.26-gentoo-r3 root=/dev/hda3


Mon kernel profile pointe bien au bon endroit avec eselect

Ca a l'air d'être un problème lié au fs, ou au disque ?, mais avec la conf actuelle de grub, l'ancien kernel marche toujours.
J'ai pourtant bien re-active en built-in dans le menuconfig du nouveau kernel le support de mon fs (reiser-fs). et après un long moment de fouille dans les options du kernel, j'avoue ne plus trop avoir d'idée.

(J'ai change le titre du thread, car le problème évolue un peu, et je ne voulais pas relancer un autre thread exprès pour)
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Sun Feb 21, 2010 1:04 am    Post subject: Reply with quote

Salut, est tu certains que c'est pas sda3 ton truc :P
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Sun Feb 21, 2010 1:54 am    Post subject: Reply with quote

Eh bien, ce n'est pas du sata en tout cas. Ca marche comme ca avec l'ancien kernel, je vais tester avec sda.
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Sun Feb 21, 2010 3:33 am    Post subject: Reply with quote

D'accord, on attend de tes nouvelles, car si tu utilises le PATA/SATA section, tout devient du sata au niveau de la création des devices, soit des sdx pour les disques durs et des srx pour des lecteurs/graveurs.
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Sun Feb 21, 2010 4:47 pm    Post subject: Reply with quote

J'ai tout passe en sda, dans grub et dans la fstab. Ca me sort la même erreur au boot, mais avec : Cannot open root device "sda3"

Je vais tester en activant dans le menuconfig plein de built-in concernant pata, mais je vois pas trop ce qui bloque.
A part grub et la fstab il n'y a pas d'autres endroits qui pourrait poser problème la, non ?
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Sun Feb 21, 2010 5:08 pm    Post subject: Reply with quote

Pourrais-tu booter avec SystemRescueCD et poster ceci :

Code:

# lspci -kvm
# lspci -n


Ensuite chroot ta Gentoo et post ceci :

Code:

# cd /usr/src/linux
# cat .config | grep -i pata
# cat .config | grep -i sata
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Sun Feb 21, 2010 5:12 pm    Post subject: Reply with quote

Attention, pour le pata/sata, il existe 2 types de drivers différents et ils se tirent mutuellement dans les pattes !
Dans "Device Drivers", tu dois choisir une seule des deux rubriques et désactiver l'autre complètement :
- ou bien "ATA/ATAPI/MFM/RLL support (IDE)"
- ou bien "Serial ATA (prod) and Parallel ATA (experimental) drivers (ATA)"

La première est considérée comme obsolète et c'est la seconde qui est maintenant conseillée ! ;-)
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Sun Feb 21, 2010 5:15 pm    Post subject: Reply with quote

C'est bon ! ca boot enfin :)
J'ai active certain vieux built-in concernant PATA, et la plus de problème, j'ai bien la fstab et grub avec des sda...

Bon le réseau ne marche plus, sans doute un truc a re-activer aussi dans le kernel, mais je commence a voir le bout de cette mise a jour ^^.

merci pour l'aide, je reviens clore le topic des que j'ai le réseau qui marche :)
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Sun Feb 21, 2010 5:19 pm    Post subject: Reply with quote

d2_racing wrote:
Code:
# cd /usr/src/linux
# cat .config | grep -i pata
# cat .config | grep -i sata

Pourquoi faire un "cd" et un "cat" ?
Il est plus rapide de taper
Code:
grep -i "[s;p]ata" /usr/src/linux/.config
;-)
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Sun Feb 21, 2010 5:28 pm    Post subject: Reply with quote

Quote:

Attention, pour le pata/sata, il existe 2 types de drivers différents et ils se tirent mutuellement dans les pattes !
Dans "Device Drivers", tu dois choisir une seule des deux rubriques et désactiver l'autre complètement :
- ou bien "ATA/ATAPI/MFM/RLL support (IDE)"
- ou bien "Serial ATA (prod) and Parallel ATA (experimental) drivers (ATA)"


oui, j'ai hésité a activer ATA/ATAPI/... qui est bien désactivé par default, mais je suis resté sur Serial ATA (prod) ...
A l'intérieur ce cette dernière j'ai activé certains modules concernant le support PATA qui etaient desactive, le hardware de la machine en question n'est pas tout récent effectivement. A priori ca règle le problème.

Et ca doit être le même genre de problème pour le réseau.

d'ailleurs, d'une version a l'autre d'un noyaux, il n'y a pas moyen via un petit utilitaire ou autre de récupérer les modules sélectionné de l'ancien menuconfig vers le nouveau ?
Back to top
View user's profile Send private message
typedef
n00b
n00b


Joined: 18 Feb 2010
Posts: 12

PostPosted: Sun Feb 21, 2010 6:10 pm    Post subject: Reply with quote

Bon ca y est, tout est a jour, et redevenu fonctionnel.
Je crois que je vais me mettre aux update world périodiques partout, ça sera plus simple :)

merci pour votre aide.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum